/*
 * Copyright 2003 - 2010 The eFaps Team
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * Revision:        $Rev: 3991 $
 * Last Changed:    $Date: 2010-04-13 00:49:34 -0500 (Tue, 13 Apr 2010) $
 * Last Changed By: $Author: jan.moxter $
 */

package org.efaps.ui.wicket.models.cell;

import org.efaps.ui.wicket.models.AbstractModel;

/**
 * TODO comment!
 *
 * @author The eFaps Team
 * @version $Id: FormCellCmdModel.java 3991 2010-04-13 05:49:34Z jan.moxter $
 */
public class FormCellCmdModel
    extends AbstractModel<UIFormCellCmd>
{

    /**
    * Needed foer serialization.
    */
    private static final long serialVersionUID = 1L;

    /**
     * UIFormCellCmd.
     */
    private UIFormCellCmd uiFormCellCmd;

    /**
     * @param _uiFormCellCmd UIFormCellCmd
     */
    public FormCellCmdModel(final UIFormCellCmd _uiFormCellCmd)
    {
        this.uiFormCellCmd = _uiFormCellCmd;
    }

    /**
     * @see org.apache.wicket.model.IModel#getObject()
     * @return {@link #uiFormCellCmd}
     */
    public UIFormCellCmd getObject()
    {
        return this.uiFormCellCmd;
    }

    /**
     * @see org.apache.wicket.model.IModel#setObject(java.lang.Object)
     * @param _uiFormCellCmd UIFormCellCmd
     */
    public void setObject(final UIFormCellCmd _uiFormCellCmd)
    {
        this.uiFormCellCmd = _uiFormCellCmd;
    }
}
